title1 Census of Canada, 1971: MUNICIPALITY/CA-Long Form : B2FAMC02
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   $CHAR8.
       SPBYTES   59-63
       V1   64-70 .0
       V2   71-77 .0
       V3   78-84 .0
       V4   85-91 .0
       V5   92-98 .0
       V6   99-105 .0
       V7   106-112 .0
       V8   113-119 .0
       V9   120-126 .0
       V10   127-133 .0
       V11   134-140 .0
       V12   141-147 .0
       V13   148-154 .0
       V14   155-161 .0
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364
       V44   365-371
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427
       V53   428-434
       V54   435-441
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476 .0
       V60   477-483
       V61   484-490
       V62   491-497
       V63   498-504
       V64   505-511
       V65   512-518
       V66   519-525
       V67   526-532
       V68   533-539
       V69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714
       V94   715-721
       V95   722-728 .0
       V96   729-735 .0
       V97   736-742 .0
       V98   743-749 .0
       V99   750-756 .0
       V100   757-763 .0
       V101   764-770 .0
       V102   771-777 .0
       V103   778-784 .0
       V104   785-791 .0
       V105   792-798 .0
       V106   799-805 .0
       V107   806-812 .0
       V108   813-819 .0
       V109   820-826 .0
       V110   827-833 .0
       V111   834-840 .0
       V112   841-847 .0
       V113   848-854 .0
       V114   855-861 .0
       V115   862-868 .0
       V116   869-875 .0
       V117   876-882 .0
       V118   883-889 .0
       V119   890-896
       V120   897-903
       V121   904-910
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980
       V132   981-987 .0
       V133   988-994 .0
       V134   995-1001 .0
       V135   1002-1008 .0
       V136   1009-1015 .0
       V137   1016-1022 .0
       V138   1023-1029 .0
       V139   1030-1036 .0
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078
       V146   1079-1085
       V147   1086-1092
       V148   1093-1099
       V149   1100-1106
       V150   1107-1113
       V151   1114-1120
       V152   1121-1127
       V153   1128-1134
       V154   1135-1141
       V155   1142-1148
       V156   1149-1155
       V157   1156-1162
       V158   1163-1169
       V159   1170-1176
       V160   1177-1183
       V161   1184-1190
       V162   1191-1197
       V163   1198-1204
       V164   1205-1211
       V165   1212-1218
       V166   1219-1225
       V167   1226-1232
       V168   1233-1239
       V169   1240-1246
       V170   1247-1253
       V171   1254-1260
       V172   1261-1267
       V173   1268-1274
       V174   1275-1281
       V175   1282-1288
       V176   1289-1295
       V177   1296-1302
       V178   1303-1309
       V179   1310-1316
       V180   1317-1323 .0
       V181   1324-1330 .0
       V182   1331-1337 .0
       V183   1338-1344 .0
       V184   1345-1351 .0
       V185   1352-1358 .0
       V186   1359-1365 .0
       V187   1366-1372 .0
       V188   1373-1379 .0
       V189   1380-1386 .0
       V190   1387-1393 .0
       V191   1394-1400 .0
       V192   1401-1407 .0
       V193   1408-1414 .0
       V194   1415-1421 .0
       V195   1422-1428 .0
       V196   1429-1435 .0
       V197   1436-1442
       V198   1443-1449 .0
       V199   1450-1456 .0
       V200   1457-1463 .0
       V201   1464-1470 .0
       V202   1471-1477 .0
       V203   1478-2002 .0
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban municipality'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Avg head inc: tot'
        V2 = 'Avg head inc: <grade 5'
        V3 = 'Avg head inc: grades 5-8'
        V4 = 'Avg head inc: grades 9-11'
        V5 = 'Avg head inc: grades 12-13'
        V6 = 'Avg head inc: some univ'
        V7 = 'Avg head inc: univ deg'
        V8 = 'Avg fam inc: tot'
        V9 = 'Avg fam inc: <grade 5'
        V10 = 'Avg fam inc: grades 5-8'
        V11 = 'Avg fam inc: grades 9-11'
        V12 = 'Avg fam inc: grades 12-13'
        V13 = 'Avg fam inc: some univ'
        V14 = 'Avg fam inc: univ deg'
        V15 = 'Males : tot'
        V16 = 'Males: no inc'
        V17 = 'Males: with inc'
        V18 = 'Males-age under 35: tot'
        V19 = 'Males-age under 35: no inc'
        V20 = 'Males-age under 35: with inc'
        V21 = 'Males-age 35-54: tot'
        V22 = 'Males-age 35-54: no inc'
        V23 = 'Males-age 35-54: with inc'
        V24 = 'Males-age 55-64: tot'
        V25 = 'Males-age 55-64: no inc'
        V26 = 'Males-age 55-64: with inc'
        V27 = 'Males-age 65 & over: tot'
        V28 = 'Males-age 65 & over: no inc'
        V29 = 'Males-age 65 & over: with inc'
        V30 = 'Females: tot'
        V31 = 'Females: no inc'
        V32 = 'Females: with inc'
        V33 = 'Females-age under 35: tot'
        V34 = 'Females-age under 35: no inc'
        V35 = 'Females-age under 35: with inc'
        V36 = 'Females-age 35-54: tot'
        V37 = 'Females-age 35-54: no inc'
        V38 = 'Females-age 35-54: with inc'
        V39 = 'Females-age 55-64: tot'
        V40 = 'Females-age 55-64: no inc'
        V41 = 'Females-age 55-64: with inc'
        V42 = 'Females-age 65 & over: tot'
        V43 = 'Females-age 65 & over: no inc'
        V44 = 'Females-age 65 & over: with inc'
        V45 = 'Males-tot- inc: under 2000'
        V46 = 'Males-tot- inc: 2000-2999'
        V47 = 'Males-tot- inc: 3000-5999'
        V48 = 'Males-tot- inc: 6000-9999'
        V49 = 'Males-tot- inc: 10000 & over'
        V50 = 'Males-age under 35- inc: under 2000'
        V51 = 'Males-age under 35- inc: 2000-2999'
        V52 = 'Males-age under 35- inc: 3000-5999'
        V53 = 'Males-age under 35- inc: 6000-9999'
        V54 = 'Males-age under 35- inc: 10000 & over'
        V55 = 'Males- age 35-54- inc: under 2000'
        V56 = 'Males- age 35-54- inc: 2000-2999'
        V57 = 'Males- age 35-54- inc: 3000-5999'
        V58 = 'Males- age 35-54- inc: 6000-9999'
        V59 = 'Males- age 35-54- inc: 10000 & over'
        V60 = 'Males-age 55-64- inc: under 2000'
        V61 = 'Males-age 55-64- inc: 2000-2999'
        V62 = 'Males-age 55-64- inc: 3000-5999'
        V63 = 'Males-age 55-64- inc: 6000-9999'
        V64 = 'Males-age 55-64- inc: 10000 & over'
        V65 = 'Males-age 65 & over- inc: under 2000'
        V66 = 'Males-age 65 & over- inc: 2000-2999'
        V67 = 'Males-age 65 & over- inc: 3000-5999'
        V68 = 'Males-age 65 & over- inc: 6000-9999'
        V69 = 'Males-age 65 & over- inc: 10000 & over'
        V70 = 'Females-tot- inc: under 2000'
        V71 = 'Females-tot- inc: 2000-2999'
        V72 = 'Females-tot- inc: 3000-5999'
        V73 = 'Females-tot- inc: 6000-9999'
        V74 = 'Females-tot- inc: 10000 & over'
        V75 = 'Females-age under 35-inc: under 2000'
        V76 = 'Females-age under 35-inc: 2000-2999'
        V77 = 'Females-age under 35-inc: 3000-5999'
        V78 = 'Females-age under 35-inc: 6000-9999'
        V79 = 'Females-age under 35-inc: 10000 & over'
        V80 = 'Females-age 35-54- inc: under 2000'
        V81 = 'Females-age 35-54- inc: 2000-2999'
        V82 = 'Females-age 35-54- inc: 3000-5999'
        V83 = 'Females-age 35-54- inc: 6000-9999'
        V84 = 'Females-age 35-54- inc: 10000 & over'
        V85 = 'Females-age 55-64- inc: under 2000'
        V86 = 'Females-age 55-64- inc: 2000-2999'
        V87 = 'Females-age 55-64- inc: 3000-5999'
        V88 = 'Females-age 55-64- inc: 6000-9999'
        V89 = 'Females-age 55-64- inc: 10000 & over'
        V90 = 'Females-age 65 & over- inc: under 2000'
        V91 = 'Females-age 65 & over- inc: 2000-2999'
        V92 = 'Females-age 65 & over- inc: 3000-5999'
        V93 = 'Females-age 65 & over- inc: 6000-9999'
        V94 = 'Females-age 65 & over- inc: 10000 & over'
        V95 = 'Males-avg head inc: all ages'
        V96 = 'Males-avg head inc: under 35'
        V97 = 'Males-avg head inc: 35-54'
        V98 = 'Males-avg head inc: 55-64'
        V99 = 'Males-avg head inc: 65 & over'
        V100 = 'Females-avg head inc: all ages'
        V101 = 'Females-avg head inc: under 35'
        V102 = 'Females-avg head inc: 35-54'
        V103 = 'Females-avg head inc: 55-64'
        V104 = 'Females-avg head inc: 65 & over'
        V105 = 'Avg head inc-tot children'
        V106 = 'Avg head inc: 0 children'
        V107 = 'Avg head inc: 1 child'
        V108 = 'Avg head inc: 2 children'
        V109 = 'Avg head inc: 3 children'
        V110 = 'Avg head inc: 4 children'
        V111 = 'Avg head inc: 5 & more children'
        V112 = 'Avg fam inc: tot children'
        V113 = 'Avg fam inc: 0 children'
        V114 = 'Avg fam inc: 1 child'
        V115 = 'Avg fam inc: 2 children'
        V116 = 'Avg fam inc: 3 children'
        V117 = 'Avg fam inc: 4 children'
        V118 = 'Avg fam inc: 5 & more children'
        V119 = 'Tot families-inc from: emp'
        V120 = 'Tot families-inc from: other sources'
        V121 = 'Under 2000-inc from: emp'
        V122 = 'Under 2000-inc from: other sources'
        V123 = '2000-2999- inc from: emp'
        V124 = '2000-2999- inc from: other sources'
        V125 = '3000-5999- inc from: emp'
        V126 = '3000-5999- inc from: other sources'
        V127 = '6000-5999- inc from: emp'
        V128 = '6000-5999- inc from: other sources'
        V129 = '10000 & over- inc from: emp'
        V130 = '10000 & over- inc from: other sources'
        V131 = 'Tot fam- no inc'
        V132 = 'Avg fam inc from: emp'
        V133 = 'Avg fam inc from: other sources'
        V134 = 'Avg fam inc: tot fam'
        V135 = 'Avg fam inc: related fam'
        V136 = 'Avg fam inc: lodging fam'
        V137 = 'Avg fam inc: other fam'
        V138 = 'Avg fam inc: not maintaining hhd'
        V139 = 'Avg fam inc: maintaining own hhd'
        V140 = 'Tot fam: tot'
        V141 = 'Tot fam: no inc'
        V142 = 'Tot fam: with inc'
        V143 = '2 persons: tot'
        V144 = '2 persons: no inc'
        V145 = '2 persons: with inc'
        V146 = '3 persons: tot'
        V147 = '3 persons: no inc'
        V148 = '3 persons: with inc'
        V149 = '4 persons: tot'
        V150 = '4 persons: no inc'
        V151 = '4 persons: with inc'
        V152 = '5 or more persons: tot'
        V153 = '5 or more persons: no inc'
        V154 = '5 or more persons: with inc'
        V155 = 'Tot families-inc: under 2000'
        V156 = 'Tot families-inc: 2000-2999'
        V157 = 'Tot families-inc: 3000-5999'
        V158 = 'Tot families-inc: 6000-9999'
        V159 = 'Tot families-inc: 10000 & over'
        V160 = '2 persons- inc: under 2000'
        V161 = '2 persons- inc: 2000-2999'
        V162 = '2 persons- inc: 3000-5999'
        V163 = '2 persons- inc: 6000-9999'
        V164 = '2 persons- inc: 10000 & over'
        V165 = '3 persons- inc: under 2000'
        V166 = '3 persons- inc: 2000-2999'
        V167 = '3 persons- inc: 3000-5999'
        V168 = '3 persons- inc: 6000-9999'
        V169 = '3 persons- inc: 10000 & over'
        V170 = '4 persons- inc: under 2000'
        V171 = '4 persons- inc: 2000-2999'
        V172 = '4 persons- inc: 3000-5999'
        V173 = '4 persons- inc: 6000-9999'
        V174 = '4 persons- inc: 10000 & over'
        V175 = '5 or more persons- inc: under 2000'
        V176 = '5 or more persons- inc: 2000-2900'
        V177 = '5 or more persons- inc: 3000-5999'
        V178 = '5 or more persons- inc: 6000-9999'
        V179 = '5 or more persons- inc: 10000 & more'
        V180 = 'Avg fam inc: tot persons'
        V181 = 'Avg fam inc: 2 persons'
        V182 = 'Avg fam inc: 3 persons'
        V183 = 'Avg fam inc: 4 persons'
        V184 = 'Avg fam inc: 5 or more persons'
        V185 = 'Avg fam inc: tot families'
        V186 = 'Avg fam inc: English'
        V187 = 'Avg fam inc: French'
        V188 = 'Avg fam inc: German'
        V189 = 'Avg fam inc: Italian'
        V190 = 'Avg fam inc: Netherlands'
        V191 = 'Avg fam inc: Polish'
        V192 = 'Avg fam inc: Scandinavian'
        V193 = 'Avg fam inc: Ukranian'
        V194 = 'Avg fam inc: Yiddish'
        V195 = 'Avg fam inc: Asian languages'
        V196 = 'Avg fam inc: other'
        V197 = 'Avg inc: tot non-fam persons'
        V198 = 'Avg inc: related non-fam'
        V199 = 'Avg inc: lodger non-fam'
        V200 = 'Avg inc: other non-related non-fam'
        V201 = 'Avg inc: not head of hhd non-fam'
        V202 = 'Avg inc: head of hhd non-fam'
        V203 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
